<?php

class Empresa
{

    public $qry;
    private $sql;
    public $NomeFantazia;
    public $endereco;
    public $cep;
    public $cidade;
    public $bairro;
    public $telefone;
    public $email;
    public $site;
    public $banco;
    public $agencia;
    public $conta;
    public $cnpj;
    public $id_empresa;
    public $slogan;

    private function execulta()
    {
        $mysqlCom = new MysqlConnect();
        $this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
    }

    public function SelectEmpresa($id_empresa = 0)
    {
        $this->sql = "select id_empresa, cnpj, inscricao_estadual, razao, nome_fantazia, endereco, cidade, bairro, cep, telefone, site, email, slogan, banco, agencia, conta
						  FROM empresa";
        if ($id_empresa != 0) {
            $this->sql .= " where id_empresa = $id_empresa ";
        }
        $this->sql .= ' limit 1';
        $this->execulta();


        while ($row = mysqli_fetch_object($this->qry)) {
            $this->NomeFantazia = $row->nome_fantazia;
            $this->endereco = $row->endereco;
            $this->cep = $row->cep;
            $this->cidade = $row->cidade;
            $this->bairro = $row->bairro;
            $this->telefone = $row->telefone;
            $this->email = $row->email;
            $this->site = $row->site;
            $this->banco = $row->banco;
            $this->agencia = $row->agencia;
            $this->conta = $row->conta;
            $this->cnpj = $row->cnpj;
            $this->id_empresa = $row->id_empresa;
            $this->slogan = $row->slogan;
        }
        $_SESSION["fild_id_empresa"] = $this->id_empresa;
        $this->execulta();
    }

    public function get_RodaPeEmpresa()
    {
        echo '    <div align="center" id="pnRazao" style="font-size:11px">
						' . $this->NomeFantazia . '<br>
						' . $this->endereco . ' ' . $this->bairro . ' ' . $this->cep . ' ' . $this->cidade . '<br>
						Telefone.' . $this->telefone . ' E-mail. ' . $this->email . '<br>
						Banco.: ' . $this->banco . ' Agencia.: ' . $this->agencia . ' Conta.: ' . $this->conta . '<br> ' . $this->site . '						
					  </div>';
    }

    public function get_NomeFantazia()
    {
        echo $this->NomeFantazia;
    }

    public function get_Slogan()
    {
        echo $this->slogan;
    }

    public function VerificarSeTemLogoGrande($nivel = '../')
    {
        if (file_exists($nivel . 'logo_empresa/' . $this->id_empresa . '_G.png')) {
            return true;
        } else
            return false;
    }

    public function getLogoForX9()
    {
        return '../logo_empresa/' . $this->id_empresa . '_G.png';
    }

    public function get_LogoGrande($nivel)
    {
        echo '<img src="' . $nivel . 'logo_empresa/' . $this->id_empresa . '_G.png" width="418"/>';
    }

    public function get_LogoPequeno($nivel)
    {
        echo '<img src="' . $nivel . 'logo_empresa/' . $this->id_empresa . '_P.png" width="193"/>';
    }

    public function InsertEmpresa($cnpj, $inscricao_estadual, $razao, $nome_fantazia, $endereco, $cidade, $bairro, $cep, $telefone, $site, $email, $slogan, $banco, $agencia, $conta)
    {
        $this->sql = "insert into empresa
						  (cnpj, inscricao_estadual, razao, nome_fantazia, endereco, cidade, bairro, cep, telefone, site, email, slogan, banco, agencia, conta)
						  values
						  ('$cnpj', '$inscricao_estadual', '$razao', '$nome_fantazia', '$endereco', '$cidade', '$bairro', '$cep', '$telefone', '$site', '$email', '$slogan', '$banco', '$agencia', '$conta')";
        $this->execulta();
        return mysqli_insert_id();
    }

    public function UpadateEmpresa($id_empresa, $cnpj, $inscricao_estadual, $razao, $nome_fantazia, $endereco, $cidade, $bairro, $cep, $telefone, $site, $email, $slogan, $banco, $agencia, $conta)
    {
        $this->sql = "UPDATE empresa
						 SET
						cnpj = '$cnpj',
						inscricao_estadual = '$inscricao_estadual',
						razao = '$razao',
						nome_fantazia = '$nome_fantazia',
						endereco = '$endereco',
						cidade = '$cidade',
						bairro = '$bairro',
						cep = '$cep',
						telefone = '$telefone',
						site = '$site',
						email = '$email',
						slogan = '$slogan',
						banco = '$banco',
						agencia = '$agencia',
						conta = '$conta' 
						WHERE id_empresa = $id_empresa";
        $this->execulta();
    }
}
